typedef struct 
	{
	LocalID		appLocalID;					// TSut:temp
	UInt32 		OnF:1;						// TSut
	UInt32 		OffF:1;						// TSut
	UInt32 		AutoEnbleAfterResetF:1;		// TSut
	UInt32		MenuHwrKeyControlF:1;		// WbMn
	UInt32		ToolbarHwrKeyControlF:1;	// WbMn
	UInt32		OpenHwrKeyControlF:1;		// WbMn
	UInt32		JogPushDetected:1;			// WbMn:temp
	UInt32		prevCmdBtnIndex:8;			// WbMn:temp
	UInt32		numButtons:8;				// WbMn:temp
	UInt32		keyControlHandled:1;		// WbMn:temp
	UInt32 		UnUsed:8;					// UnUsed
	} TSuitePreferenceType;

#define IsOn		1
#define IsOff		0
#define Activate	1
#define Deactivate	0

#define appFileCreator			'WbMn'
#define appVersionNum			0x02
#define appPrefID				0x02
#define appPrefVersionNum		0x02

#define ftr_appStatus			0x00	//Ftr

#define WbMnPriority			0x01	// sysNotifyEventDequeuedEvent
#define WbMmPriority			0x02	// sysNotifyEventDequeuedEvent
#define WbMtPriority			0x03	// sysNotifyMenuCmdBarOpenEvent
										// customNotify 'TSut'
										// sysNotifyEventDequeuedEvent

#define Swap16(n) (((((UInt16)n) << 8) & 0xFF00) | ((((UInt16)n) >> 8) & 0x00FF))

#pragma mark ----------

Err WbMnJogEventPreHandle (SysNotifyParamType *notifyParamsP);

Err WbMmMenuKeyDownHandle (SysNotifyParamType *notifyParamsP);

Err WbMtCmdBarOpenHandle (SysNotifyParamType *notifyParamsP);
Err WbMtCmdBarOpenedHandle (SysNotifyParamType *notifyParamsP);
Err WbMtCmdBarKeyDownHandle (SysNotifyParamType *notifyParamsP);
Err WbMtCmdBarKeyDownHandleTJ (SysNotifyParamType *notifyParamsP);